> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.wynncraft.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.wynncraft.com/_mcp/server.

# Get guild by UUID

GET https://api.wynncraft.com/v3/guild/uuid/{query}

This endpoint is cached for 2 minutes in the USER cache source.   See [Caching](/welcome#caching).  This endpoint belongs to the GUILD rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits).

Use the `identifier` query parameter with either `username` or `uuid` to control how guild members are identified in the response.

Reference: https://docs.wynncraft.com/modules/guild/get-guild-by-uuid

## Request

### Path parameters

- `query` (string, required)

### Query parameters

- `identifier` (enum, optional) — Switches player descriptor between either their username or their uuid.
  - Allowed values: `username`, `uuid`

## Response

### 200

Guild detail.

- `uuid` (string, required)
- `name` (string, required)
- `prefix` (string, required)
- `level` (integer, required)
- `xpPercent` (integer, required)
- `territories` (integer, required)
- `wars` (integer, required)
- `raids` (integer, required)
- `created` (datetime, required)
- `members` (GuildMembers, required)
- `online` (integer, required)
- `banner` (GuildBanner, required)
- `seasonRanks` (map from string to GuildSeasonRank, required)
- `ranking` (map from string to integer, required) — Map of leaderboard type/name to rank position. See [GET /leaderboards/types](https://docs.wynncraft.com/modules/leaderboards/list-leaderboard-types) for possible types.

## Errors

### 404 Not Found Error

No matching guild was found.

- `error` (string, required)
- `detail` (string, required)
- `code` (integer, required)

## Types

### GuildMembers

- `total` (integer, required)
- `owner` (map from string to GuildMember, optional)
- `chief` (map from string to GuildMember, optional)
- `strategist` (map from string to GuildMember, optional)
- `recruiter` (map from string to GuildMember, optional)
- `recruit` (map from string to GuildMember, optional)

### GuildBanner

- `base` (enum, required)
  - Allowed values: `BLACK`, `RED`, `GREEN`, `BROWN`, `BLUE`, `PURPLE`, `CYAN`, `SILVER`, `GRAY`, `PINK`, `LIME`, `YELLOW`, `LIGHT_BLUE`, `MAGENTA`, `ORANGE`, `WHITE`
- `tier` (integer, required)
- `structure` (string, required)
- `layers` (list of BannerLayer, required)

### GuildSeasonRank

- `rating` (integer, required)
- `finalTerritories` (integer, required)

### GuildMember

- `online` (boolean, required)
- `lastJoin` (datetime, required, nullable)
- `server` (string, required, nullable)
- `contributed` (integer, required)
- `contributionRank` (integer, required)
- `joined` (datetime, required)
- `weekly` (GuildMemberWeekly, required) — Weekly guild objective data. This object is empty unless the authenticated requester is at least STRATEGIST in the guild.
- `globalData` (GuildMemberGlobalData, required)
- `restrictions` (GuildMemberRestrictions, required)
- `uuid` (string, optional)
- `username` (string, optional)

### BannerLayer

- `color` (enum, required)
  - Allowed values: `BLACK`, `RED`, `GREEN`, `BROWN`, `BLUE`, `PURPLE`, `CYAN`, `SILVER`, `GRAY`, `PINK`, `LIME`, `YELLOW`, `LIGHT_BLUE`, `MAGENTA`, `ORANGE`, `WHITE`
- `pattern` (enum, required)
  - Allowed values: `MOJANG`, `RHOMBUS_MIDDLE`, `SKULL`, `SQUARE_BOTTOM_LEFT`, `SQUARE_BOTTOM_RIGHT`, `SQUARE_TOP_LEFT`, `SQUARE_TOP_RIGHT`, `STRAIGHT_CROSS`, `STRIPE_BOTTOM`, `STRIPE_CENTER`, `STRIPE_DOWNLEFT`, `STRIPE_DOWNRIGHT`, `STRIPE_LEFT`, `STRIPE_MIDDLE`, `STRIPE_RIGHT`, `STRIPE_SMALL`, `STRIPE_TOP`, `TRIANGLE_BOTTOM`, `TRIANGLE_TOP`, `TRIANGLES_BOTTOM`, `TRIANGLES_TOP`, `BASE`, `BLANK`, `BORDER`, `BRICKS`, `CIRCLE_MIDDLE`, `CREEPER`, `CROSS`, `CURLY_BORDER`, `DIAGONAL_LEFT`, `DIAGONAL_LEFT_MIRROR`, `DIAGONAL_RIGHT`, `DIAGONAL_RIGHT_MIRROR`, `FLOWER`, `GRADIENT`, `GRADIENT_UP`, `HALF_HORIZONTAL`, `HALF_HORIZONTAL_MIRROR`, `HALF_VERTICAL`, `HALF_VERTICAL_MIRROR`

### GuildMemberWeekly

Weekly guild objective data. This object is empty unless the authenticated requester is at least STRATEGIST in the guild.

- `completed` (boolean, optional)
- `streak` (integer, optional)

### GuildMemberGlobalData

- `contentCompletion` (integer, optional)
- `wars` (integer, optional)
- `totalLevel` (integer, optional)
- `mobsKilled` (integer, optional)
- `chestsFound` (integer, optional)
- `dungeons` (DungeonCountList, optional)
- `raids` (RaidCountList, optional)
- `worldEvents` (integer, optional)
- `lootruns` (integer, optional)
- `caves` (integer, optional)
- `completedQuests` (integer, optional)
- `pvp` (PvpStats, optional)
- `currentGuildRaids` (RaidCountList, optional, nullable) — Guild raids completed while the player was in this guild only.
- `guildRaids` (RaidCountList, optional, nullable) — All guild raids completed by the player across every guild.
- `playtime` (double, optional)

### GuildMemberRestrictions

- `online_status` (boolean, optional)
- `main_access` (boolean, optional)
- `guild_high_ranked_access` (boolean, optional)

### DungeonCountList

- `total` (integer, required)
- `list` (DungeonList, required)

### RaidCountList

- `total` (integer, required)
- `list` (RaidList, required)

### PvpStats

- `kills` (integer, optional)
- `deaths` (integer, optional)

### DungeonList

- `Skeleton` (integer, optional)
- `Decrepit Sewers` (integer, optional)
- `Corrupted Decrepit Sewers` (integer, optional)
- `Spider` (integer, optional)
- `Infested Pit` (integer, optional)
- `Zombie` (integer, optional)
- `Timelost Sanctum` (integer, optional)
- `Underworld Crypt` (integer, optional)
- `Corrupted Underworld Crypt` (integer, optional)
- `Animal` (integer, optional)
- `Lost Sanctuary` (integer, optional)
- `Corrupted Lost Sanctuary` (integer, optional)
- `Silverfish` (integer, optional)
- `Sand-Swept Tomb` (integer, optional)
- `Corrupted Sand-Swept Tomb` (integer, optional)
- `Ice` (integer, optional)
- `Ice Barrows` (integer, optional)
- `Corrupted Ice Barrows` (integer, optional)
- `Jungle` (integer, optional)
- `Undergrowth Ruins` (integer, optional)
- `Corrupted Undergrowth Ruins` (integer, optional)
- `Ocean` (integer, optional)
- `Galleon's Graveyard` (integer, optional)
- `Corrupted Galleon's Graveyard` (integer, optional)
- `Fallen Factory` (integer, optional)
- `Eldritch Outlook` (integer, optional)

### RaidList

- `Nest of the Grootslangs` (integer, optional)
- `Orphion's Nexus of Light` (integer, optional)
- `The Canyon Colossus` (integer, optional)
- `The Nameless Anomaly` (integer, optional)
- `The Wartorn Palace` (integer, optional)

## Examples

**Response**

```json
{
  "uuid": "adb5f0b5-5289-439c-9293-a29d220e7152",
  "name": "Spectral Cabbage",
  "prefix": "SPC",
  "level": 70,
  "xpPercent": 23,
  "territories": 0,
  "wars": 197,
  "raids": 0,
  "created": "2016-12-12T19:58:37.021000Z",
  "members": {
    "total": 5,
    "owner": {
      "Nepmia": {
        "online": false,
        "lastJoin": "2026-03-19T23:45:48.667000Z",
        "server": null,
        "contributed": 64700439,
        "contributionRank": 10,
        "joined": "2020-11-20T19:44:37.126000Z",
        "weekly": {
          "completed": true,
          "streak": 3
        },
        "globalData": {
          "contentCompletion": 1860,
          "wars": 6,
          "totalLevel": 3278,
          "mobsKilled": 470208,
          "chestsFound": 3033,
          "dungeons": {
            "total": 2,
            "list": {
              "Decrepit Sewers": 1,
              "Corrupted Decrepit Sewers": 1
            }
          },
          "raids": {
            "total": 1,
            "list": {
              "Nest of the Grootslangs": 1
            }
          },
          "worldEvents": 2,
          "lootruns": 1,
          "caves": 43,
          "completedQuests": 313,
          "pvp": {
            "kills": 443,
            "deaths": 666
          },
          "currentGuildRaids": {
            "total": 1,
            "list": {
              "Nest of the Grootslangs": 1
            }
          },
          "guildRaids": {
            "total": 4,
            "list": {
              "Nest of the Grootslangs": 3,
              "The Canyon Colossus": 1
            }
          },
          "playtime": 2485.42
        },
        "restrictions": {
          "online_status": false,
          "main_access": false,
          "guild_high_ranked_access": true
        },
        "uuid": "98bc2236-ada5-4039-b560-8aaa4cc50384",
        "username": "Nepmia"
      }
    },
    "chief": {
      "Nepmia": {
        "online": false,
        "lastJoin": "2026-03-19T23:45:48.667000Z",
        "server": null,
        "contributed": 64700439,
        "contributionRank": 10,
        "joined": "2020-11-20T19:44:37.126000Z",
        "weekly": {
          "completed": true,
          "streak": 3
        },
        "globalData": {
          "contentCompletion": 1860,
          "wars": 6,
          "totalLevel": 3278,
          "mobsKilled": 470208,
          "chestsFound": 3033,
          "dungeons": {
            "total": 2,
            "list": {
              "Decrepit Sewers": 1,
              "Corrupted Decrepit Sewers": 1
            }
          },
          "raids": {
            "total": 1,
            "list": {
              "Nest of the Grootslangs": 1
            }
          },
          "worldEvents": 2,
          "lootruns": 1,
          "caves": 43,
          "completedQuests": 313,
          "pvp": {
            "kills": 443,
            "deaths": 666
          },
          "currentGuildRaids": {
            "total": 1,
            "list": {
              "Nest of the Grootslangs": 1
            }
          },
          "guildRaids": {
            "total": 4,
            "list": {
              "Nest of the Grootslangs": 3,
              "The Canyon Colossus": 1
            }
          },
          "playtime": 2485.42
        },
        "restrictions": {
          "online_status": false,
          "main_access": false,
          "guild_high_ranked_access": true
        },
        "uuid": "98bc2236-ada5-4039-b560-8aaa4cc50384",
        "username": "Nepmia"
      }
    },
    "strategist": {
      "Nepmia": {
        "online": false,
        "lastJoin": "2026-03-19T23:45:48.667000Z",
        "server": null,
        "contributed": 64700439,
        "contributionRank": 10,
        "joined": "2020-11-20T19:44:37.126000Z",
        "weekly": {
          "completed": true,
          "streak": 3
        },
        "globalData": {
          "contentCompletion": 1860,
          "wars": 6,
          "totalLevel": 3278,
          "mobsKilled": 470208,
          "chestsFound": 3033,
          "dungeons": {
            "total": 2,
            "list": {
              "Decrepit Sewers": 1,
              "Corrupted Decrepit Sewers": 1
            }
          },
          "raids": {
            "total": 1,
            "list": {
              "Nest of the Grootslangs": 1
            }
          },
          "worldEvents": 2,
          "lootruns": 1,
          "caves": 43,
          "completedQuests": 313,
          "pvp": {
            "kills": 443,
            "deaths": 666
          },
          "currentGuildRaids": {
            "total": 1,
            "list": {
              "Nest of the Grootslangs": 1
            }
          },
          "guildRaids": {
            "total": 4,
            "list": {
              "Nest of the Grootslangs": 3,
              "The Canyon Colossus": 1
            }
          },
          "playtime": 2485.42
        },
        "restrictions": {
          "online_status": false,
          "main_access": false,
          "guild_high_ranked_access": true
        },
        "uuid": "98bc2236-ada5-4039-b560-8aaa4cc50384",
        "username": "Nepmia"
      }
    },
    "recruiter": {
      "Nepmia": {
        "online": false,
        "lastJoin": "2026-03-19T23:45:48.667000Z",
        "server": null,
        "contributed": 64700439,
        "contributionRank": 10,
        "joined": "2020-11-20T19:44:37.126000Z",
        "weekly": {
          "completed": true,
          "streak": 3
        },
        "globalData": {
          "contentCompletion": 1860,
          "wars": 6,
          "totalLevel": 3278,
          "mobsKilled": 470208,
          "chestsFound": 3033,
          "dungeons": {
            "total": 2,
            "list": {
              "Decrepit Sewers": 1,
              "Corrupted Decrepit Sewers": 1
            }
          },
          "raids": {
            "total": 1,
            "list": {
              "Nest of the Grootslangs": 1
            }
          },
          "worldEvents": 2,
          "lootruns": 1,
          "caves": 43,
          "completedQuests": 313,
          "pvp": {
            "kills": 443,
            "deaths": 666
          },
          "currentGuildRaids": {
            "total": 1,
            "list": {
              "Nest of the Grootslangs": 1
            }
          },
          "guildRaids": {
            "total": 4,
            "list": {
              "Nest of the Grootslangs": 3,
              "The Canyon Colossus": 1
            }
          },
          "playtime": 2485.42
        },
        "restrictions": {
          "online_status": false,
          "main_access": false,
          "guild_high_ranked_access": true
        },
        "uuid": "98bc2236-ada5-4039-b560-8aaa4cc50384",
        "username": "Nepmia"
      }
    },
    "recruit": {
      "Nepmia": {
        "online": false,
        "lastJoin": "2026-03-19T23:45:48.667000Z",
        "server": null,
        "contributed": 64700439,
        "contributionRank": 10,
        "joined": "2020-11-20T19:44:37.126000Z",
        "weekly": {
          "completed": true,
          "streak": 3
        },
        "globalData": {
          "contentCompletion": 1860,
          "wars": 6,
          "totalLevel": 3278,
          "mobsKilled": 470208,
          "chestsFound": 3033,
          "dungeons": {
            "total": 2,
            "list": {
              "Decrepit Sewers": 1,
              "Corrupted Decrepit Sewers": 1
            }
          },
          "raids": {
            "total": 1,
            "list": {
              "Nest of the Grootslangs": 1
            }
          },
          "worldEvents": 2,
          "lootruns": 1,
          "caves": 43,
          "completedQuests": 313,
          "pvp": {
            "kills": 443,
            "deaths": 666
          },
          "currentGuildRaids": {
            "total": 1,
            "list": {
              "Nest of the Grootslangs": 1
            }
          },
          "guildRaids": {
            "total": 4,
            "list": {
              "Nest of the Grootslangs": 3,
              "The Canyon Colossus": 1
            }
          },
          "playtime": 2485.42
        },
        "restrictions": {
          "online_status": false,
          "main_access": false,
          "guild_high_ranked_access": true
        },
        "uuid": "98bc2236-ada5-4039-b560-8aaa4cc50384",
        "username": "Nepmia"
      }
    }
  },
  "online": 0,
  "banner": {
    "base": "BLUE",
    "tier": 5,
    "structure": "tier5",
    "layers": [
      {
        "color": "WHITE",
        "pattern": "BRICKS"
      },
      {
        "color": "MAGENTA",
        "pattern": "GRADIENT"
      },
      {
        "color": "LIGHT_BLUE",
        "pattern": "GRADIENT_UP"
      },
      {
        "color": "GREEN",
        "pattern": "FLOWER"
      },
      {
        "color": "LIME",
        "pattern": "CIRCLE_MIDDLE"
      },
      {
        "color": "GREEN",
        "pattern": "MOJANG"
      }
    ]
  },
  "seasonRanks": {
    "1": {
      "rating": 10018,
      "finalTerritories": 0
    },
    "5": {
      "rating": 10025,
      "finalTerritories": 0
    }
  },
  "ranking": {}
}
```

**SDK Code**

```python Guild detail with one sample member in each rank
import requests

url = "https://api.wynncraft.com/v3/guild/uuid/query"

response = requests.get(url)

print(response.json())
```

```javascript Guild detail with one sample member in each rank
const url = 'https://api.wynncraft.com/v3/guild/uuid/query';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Guild detail with one sample member in each rank
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.wynncraft.com/v3/guild/uuid/query"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Guild detail with one sample member in each rank
require 'uri'
require 'net/http'

url = URI("https://api.wynncraft.com/v3/guild/uuid/query")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Guild detail with one sample member in each rank
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.wynncraft.com/v3/guild/uuid/query")
  .asString();
```

```php Guild detail with one sample member in each rank
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.wynncraft.com/v3/guild/uuid/query');

echo $response->getBody();
```

```csharp Guild detail with one sample member in each rank
using RestSharp;

var client = new RestClient("https://api.wynncraft.com/v3/guild/uuid/query");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Guild detail with one sample member in each rank
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.wynncraft.com/v3/guild/uuid/query")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```